package mytype.mycom.mygroup;

public class SvrConfig {

    /**
     * @description 负责接收连接的线程池大小
     */
    public static int boss_group_size = 1;
    /**
     * @description 负责处理请求的NioEventLoop worker线程池大小
     * @note 如需按照CPU处理器数的一定倍率设置worker数，需注意k8s集群环境下是否读取到了母机的配置
     */
    public static int io_gorup_size = 256;

    /**
     * @description 负责处理业务的自定义线程池大小
     */
    public static int business_gorup_size = 256;


    /**
     * @description 业务逻辑是否在io线程上处理，false:在自定义的newCachedThreadPool线程池执行逻辑
     */
    public static boolean process_in_iothread = true;

    /**
     * @description 监控线程打日志间隔，默认60秒
     */
    public static int monitor_interval = 60;

}
