package mytype.mycom.mygroup;

import com.tencent.wework.SpecCallbackSDK;

public interface UserLogicHandler{
    /**
     * @description 判断能力id是否合法
     * @param abilityid 能力id
     * @return 返回结果
     */
    public boolean isValidAblility(String abilityid);

    /**
     * @description 业务逻辑处理函数
     * @param callback SpecCallbackSdk结构
     * @return 返回http回包body
     */
    public String process(SpecCallbackSDK callback);

}